#include "sm/generic.h"

#ifndef LIBCDB_CDBBF_H
#define LIBCDB_CDBBF_H 1
#include "sm/magic.h"
#include "sm/io.h"

/* cdb bf context */
struct sm_cdbf_S
{
	bool		 cdbf_ondisk;
	sm_ret_T	 cdbf_open_status;
	int		 cdbf_oflags;
	cdb_ctx_P	 cdbf_ctx;
	char		*cdbf_path;
};
typedef struct sm_cdbf_S sm_cdbf_T, *sm_cdbf_P;

#define cdbf_path(fp)	(((sm_cdbf_P) f_cookie(*fp))->cdbf_path)

#endif /* LIBCDB_CDBBF_H */
