#!/bin/sh
# simple script to rename options in a configuration file
# for the changes made on 2011-01-21
# ./scripts/optrename1.sh /etc/meta1/meta1.conf > /etc/meta1/meta1.conf.new
# check the new file and if it is ok install it.
# $Id: optrename1.sh,v 1.2 2011/02/13 06:09:33 ca Exp $:

sed \
-e 's/retry_m\([ia][nx]\)_delay/retry_delay_m\1/g' \
-e 's/AQ_max_entries/AQ_entries_max/g' \
-e 's/OCC_max_entries/OCC_entries_max/g' \
-e 's/max_cache_entries/cache_entries_max/g' \
-e 's/min_disk_space/disk_space_min/g' \
-e 's/ok_disk_space/disk_space_ok/g' \
-e 's/max_open_TAs/open_TAs_max/g' \
-e 's/max_connections/connections_max/g' \
-e 's/max_connection_rate/connection_rate_max/g' \
-e 's/max_errors_per_DSN/errors_per_DSN_max/g' \
-e 's/\<m\([ia][nx]\)_threads\>/threads_m\1/g' \
-e 's/\<max_fds\>/fds_max/g' \
-e 's/\<max_transactions_per_session\>/transactions_per_session_max/g' \
-e 's/max_rcpts_per_transaction/rcpts_per_transaction_max/g' \
-e 's/test_max_fill_AQ/test_fill_AQ_max/g' \
-e 's/\<max_timeouts\>/timeouts_max/g' \
-e 's/\<m\([ia][nx]\)_processes/processes_m\1/g' \
-e 's/\<m\([ia][nx]\)_wait_threads/wait_threads_m\1/g' \
-e 's/\<max_transactions\>/transactions_max/g' \
-e 's/\<max_recipients_per_session\>/recipients_per_session_max/g' \
-e 's/\<max_recipients_per_transaction\>/recipients_per_transaction_max/g' \
-e 's/\<max_hops\>/hops_max/g' \
-e 's/\<max_message_size\>/message_size_max/g' \
-e 's/\<max_bad_commands_per_session\>/bad_commands_per_session_max/g' \
-e 's/\<max_invalid_addresses_per_session\>/invalid_addresses_per_session_max/g' \
-e 's/\<max_nop_commands_between_transactions\>/nop_commands_between_transactions_max/g' \
-e 's/\<max_bad_commands_per_transaction\>/bad_commands_per_transaction_max/g' \
-e 's/\<max_nop_commands_in_transaction\>/nop_commands_in_transaction_max/g' \
-e 's/\<max_invalid_addresses_per_transaction\>/invalid_addresses_per_transaction_max/g' \
-e 's/\<max_header_val_len\>/header_val_len_max/g' \
-e 's/\<max_commit_delay\>/commit_delay_max/g' \
"$@"
